Telegram APIBots
bots.sendCustomRequest
Sends a custom request; for bots only
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Sends a custom request; for bots only
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/bots.sendCustomRequest" \ -H "Content-Type: application/json" \ -d '{ "params": { "customMethod": "string", "params": { "_": "dataJSON", "data": "string" } } }'{ "result": { "_": "dataJSON", "data": "string" }}resetBotCommands
Clear bot commands for the specified bot scope and language code
setBotBroadcastDefaultAdminRights
Set the default [suggested admin rights](https://core.telegram.org/api/rights#suggested-bot-rights) for bots being added as admins to channels, see [here for more info on how to handle them »](https://core.telegram.org/api/rights#suggested-bot-rights).